Package pyplusplus :: Package code_creators :: Module declaration_based :: Class declaration_based_t

# ClassType declaration_based_t

source code

Known Subclasses:
  - smart_pointers.smart_pointer_registrator_t
  - , smart_pointers.smart_pointers_converter_t
  - , enum.enum_t
  - , scoped.scoped_t
  - , unnamed_enum.unnamed_enum_t
  - , exception_translator.exception_translator_register_t
  - , exception_translator.exception_translator_t
  - , calldef.calldef_t
  - , calldef.calldef_wrapper_t
  - , opaque_type_registrator.opaque_type_registrator_t
  - , member_variable.member_variable_base_t
  - , member_variable.array_mv_wrapper_t
  - , member_variable.bit_field_wrapper_t
  - , member_variable.mem_var_ref_wrapper_t
  - , member_variable.member_variable_wrapper_t
  - , calldef.casting_constructor_t
  - , calldef.casting_member_operator_t
  - , calldef.casting_operator_t
  - , calldef.copy_constructor_wrapper_t
  - , calldef.destructor_wrapper_t
  - , calldef.null_constructor_wrapper_t
  - , calldef.operator_t
  - , calldef.static_method_t
  - , indexing_suites.indexing_suite1_t
  - , indexing_suites.indexing_suite2_t
  - , indexing_suites.value_traits_t
  - , global_variable.global_variable_base_t
  - , global_variable.array_gv_wrapper_t
  - , ctypes_integration_creators.expose_sizeof_t
  - , ctypes_integration_creators.expose_this_t

Code creator that is based on a declaration.

Instance Methods

__init__(self, declaration) Constructor. | source code

get_user_headers(self, recursive=False, unique=False) return list of user header files to be included from the generated file | source code

Properties
decl_wrapper_t | declaration The declaration this code creator is based on.
| alias
| decl_identifier
| documentation

Method Details

### __init__(self, declaration)
(Constructor)

source code

Constructor.

Parameters:
  - `declaration` (decl_wrapper_t) - Declaration object
  - `parent` (code_creator_t) - Parent code creator.

Property Details

### declaration

The declaration this code creator is based on.

Type:
  decl_wrapper_t

### alias

Get Method:
  _get_alias(self)
Set Method:
  _set_alias(self, alias)

### decl_identifier

### documentation